#ifndef INA226_H
#define INA226_H

#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>

// INA226 I2C 设备地址（ADDR 引脚接地时为 0x40）
#define INA226_ADDRESS              (0x40)

// 寄存器地址定义
#define INA226_REG_CONFIG           (0x00)
#define INA226_REG_SHUNTVOLTAGE     (0x01)
#define INA226_REG_BUSVOLTAGE       (0x02)
#define INA226_REG_POWER            (0x03)
#define INA226_REG_CURRENT          (0x04)
#define INA226_REG_CALIBRATION      (0x05)

// 函数声明
bool INA226_begin(int bus_number);
bool INA226_configure(void);
bool INA226_calibrate(float rShuntValue, float iMaxExpected);
float INA226_readBusVoltage(void);
float INA226_readCurrent(void);
void INA226_end(void);

#endif // INA226_H